using System.Text.Json.Serialization;

public class CreatePersonalDataRequest
{
    
    [JsonPropertyName("metadata")]
    public Metadata metadata { get; set; } = new Metadata();

    [JsonPropertyName("data")]
    public Data data { get; set; } = new Data();

    public class Metadata
    {
        public string? email { get; set; }
        public string? ephemeralKeyAlias { get; set; }
    }

    public class Data
    {
        public PersonalAccountData personalAccountData { get; set; } = new PersonalAccountData();
    }

    public class PersonalAccountData
    {
        public string? name { get; set; }
        public string? birthdate { get; set; }
        public string? photo { get; set; }
    }
}